Page MenuHomePhabricator

Special:CentralAuth should provide the same blocking information as Special:BlockList does
Open, NormalPublic3 Story Points

Description

Special:CentralAuth shows if a user is blocked on a wiki, some block parameters, and the block reason. This is not appropriate for partial blocks.

https://meta.wikimedia.org/w/index.php?title=Special%3ACentralAuth&target=Test-bad-person-to-be-blocked


Acceptance criteria

  • The Blocked column displays the same information as the Special:BlockList does on the local wiki.

For example (see fifth column) -

  • In cases where there are local namespaces the user is blocked on, we can show that as: ...and 3 local namespaces and link to the Special:BlockList entry on the local wiki, instead of listing the local namespaces.

Details

Related Gerrit Patches:
mediawiki/extensions/CentralAuth : masterAdd blocking details for partial blocks to Special:CentralAuth.
mediawiki/extensions/CentralAuth : masterRemove partial blocks from Special:CentralAuth

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

@MarcoAurelio @DerHexer @revi @Trijnstel It sounds like there is consensus to show partial block information on the CentralAuth page. We could do this similar to how it is displayed on Special:BlockList (5th column):


Does that sound good to everyone?

revi added a comment.Apr 10 2019, 2:57 AM

Looks good to me, I'll bring this to internal discussion.

dbarratt changed the task status from Open to Stalled.Apr 11 2019, 12:06 AM
dbarratt moved this task from In Progress to Ready on the Anti-Harassment (Heth - ח) board.

Just a note on listing the restrictions: The page titles will not be localized (they will be displayed in the wiki's content language). Likewise the core namespaces will be localized, but the local namespaces (extensions and custom) will not be (again, they will display in the wiki's content language). Is this acceptable?

dbarratt removed dbarratt as the assignee of this task.Apr 11 2019, 12:07 AM
dbarratt added a subscriber: dbarratt.
revi added a comment.Apr 11 2019, 8:22 AM

I think we can manage with that, since we can easily look over which NS has that name (or ask people who know that language).

For example when someone is applying for Global Sysop, information that they are 'partial'ly blocked on wiki X is something we can ask candidates for clarification, or for other case we are investigating, we usually have someone who is familiar with the language to tell us what is the correct translation for the localized stuff.

Niharika changed the task status from Stalled to Open.Apr 11 2019, 6:51 PM
Niharika updated the task description. (Show Details)

@revi Thanks for the feedback. I have updated the task description.

Niharika renamed this task from Special:CentralAuth should not indicate if a user is partially blocked to Special:CentralAuth should provide the same blocking information as Special:BlockList does.Apr 11 2019, 6:57 PM
Niharika edited projects, added Anti-Harassment; removed Anti-Harassment (Heth - ח).
Niharika removed the point value for this task.

@MarcoAurelio @DerHexer @revi @Trijnstel It sounds like there is consensus to show partial block information on the CentralAuth page. We could do this similar to how it is displayed on Special:BlockList (5th column):



Does that sound good to everyone?

Thank you. Sounds good.

Niharika updated the task description. (Show Details)Apr 18 2019, 6:20 PM
Niharika set the point value for this task to 3.
Niharika raised the priority of this task from Low to Normal.Apr 24 2019, 6:32 PM
dbarratt moved this task from Ready to In Progress on the Anti-Harassment (Yōd - י) board.
MJL added a subscriber: MJL.May 21 2019, 8:25 PM
aezell closed this task as Resolved.May 24 2019, 6:11 PM
aezell reopened this task as Open.May 24 2019, 6:13 PM
aezell moved this task from Ready to In Progress on the Anti-Harassment (Kaf - כ) board.
dbarratt removed dbarratt as the assignee of this task.May 30 2019, 3:53 AM
dbarratt moved this task from In Progress to Ready on the Anti-Harassment (Kaf - כ) board.
dbarratt claimed this task.Jun 4 2019, 12:00 AM
dbarratt moved this task from Ready to In Progress on the Anti-Harassment (Kaf - כ) board.
dbarratt removed dbarratt as the assignee of this task.Jun 13 2019, 2:36 PM
dbarratt moved this task from In Progress to Ready on the Anti-Harassment (Lāmed - ל) board.
dbarratt claimed this task.Jun 18 2019, 4:16 PM
dbarratt moved this task from Ready to In Progress on the Anti-Harassment (Lāmed - ל) board.
dbarratt changed the edit policy from "Custom Policy" to "All Users".

Change 518087 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/extensions/CentralAuth@master] Add blocking details for partial blocks to Special:CentralAuth.

https://gerrit.wikimedia.org/r/518087

@Niharika @dbarratt I have a question about how to display the list when there are a mix of local and global namespaces in the block.

With the current patch, a partial block displays something like this:

Global namespaces blockedLocal namespaces blocked

If there are a mixture of global and local namespaces, we could use either of these two options (the current patch uses the one on the left):

With "... and"Without "... and"

My preference is for not using "... and". That way the translation messages are simpler, and the list is visually consistent with the list of local pages ("Foo" and "Bar" here), which doesn't add a preface to the final item.

@Tchanders I agree with not using ...and. It looks much cleaner and consistent without it while conveying the same information. Was it a conscious design decision to add it initially?

@Niharika Not that I'm aware of, it just came up in code review because of the messages

Change 501452 abandoned by Dbarratt:
Remove partial blocks from Special:CentralAuth

https://gerrit.wikimedia.org/r/501452

@Niharika We've run into several edge cases regarding localization of foreign namespaces. Even "common" namespaces can have issues (for instance, Project namespace may be overridden on different languages). @Tchanders and I would like to propose a new solution: Instead of listing the pages and namespaces, we'll instead say "3 pages" or "2 namespaces" and that text will link to the Special:BlockList on the local wiki. Then, if we'd like to expand that list later, we can do so with T226651 which will make client-side API requests to get the localized pages and namespaces. How does that sound?

@Niharika We've run into several edge cases regarding localization of foreign namespaces. Even "common" namespaces can have issues (for instance, Project namespace may be overridden on different languages). @Tchanders and I would like to propose a new solution: Instead of listing the pages and namespaces, we'll instead say "3 pages" or "2 namespaces" and that text will link to the Special:BlockList on the local wiki. Then, if we'd like to expand that list later, we can do so with T226651 which will make client-side API requests to get the localized pages and namespaces. How does that sound?

Sorry, I missed this comment! That solution works for me. As long as the text links to the local wikis Special:BlockList, I think that suffices.

Change 518087 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Add blocking details for partial blocks to Special:CentralAuth.

https://gerrit.wikimedia.org/r/518087

Special:CentralAuth now looks like:

I checked:

  • Block expiration correct; link goes to Special:Log/block?page=User:$user
  • Block reason same as it appears on Special:BlockList; link goes to Special:BlockList/$user
  • Count of pages and namespaces correct
  • Other block details (e.g. blocked from account, email, etc.) correct

Does not seem to matter if the block is from the same wiki you are viewing Special:CentralAuth from or a connected wiki.

Also looks OK (as far as I can tell) when using a non-default language, or when on an RTL wiki. Such as on my local vagrant Hebrew wiki below:

("Page" and "Namespace" I guess are awaiting translations for some languages.)

However, on https://en.wikipedia.beta.wmflabs.org with my user language set to Hebrew, I see:

I don't see the same thing on, for example, Special:BlockList. Perhaps @dbarratt or @Mooeypoo can comment.

The CentralAuth API (action=query&meta=globaluserinfo&guiuser=Drwpb&guiprop=groups|merged|unattached|rights|editcount) appears to be unchanged, when I compare beta with test.

dbarratt removed dbarratt as the assignee of this task.Mon, Nov 11, 9:30 PM
dbarratt claimed this task.Wed, Nov 13, 4:29 PM

@dom_walden I created T238235 since the API should probably be updated to reflect similar information.

I took a look at the RTL in English
https://en-rtl.wikipedia.beta.wmflabs.org/wiki/Special:CentralAuth?target=Drwpb
and it looks fine to me, but as you mentioned, in Hebrew it doesn't look correct:
https://en.wikipedia.beta.wmflabs.org/wiki/Special:CentralAuth?target=Drwpb&uselang=he
I thought I had found the source of the problem, but locally it looks correct:

I enabled debug mode on beta and I found this bit of CSS:

/* Lists in data cells are always left-aligned */
.wikitable td ul,
.wikitable td ol,
.wikitable td dl {
	/* @noflip */
	text-align: left;
}
/* ...unless they also use the hlist class */
.toc.hlist ul,
#toc.hlist ul,
.wikitable.hlist td ul,
.wikitable.hlist td ol,
.wikitable.hlist td dl {
	text-align: inherit;
}

which comes from https://en.wikipedia.beta.wmflabs.org/wiki/MediaWiki:Common.css

To prove that this is indeed the problem, setting the language to Hebrew on English RTL wiki (which does not have that CSS file) resolves the problem:
https://en-rtl.wikipedia.beta.wmflabs.org/wiki/Special:CentralAuth?target=Drwpb&uselang=he

I'm not sure there is anything to be done here? What do you think @Mooeypoo?

@dbarratt Has this been deployed already? In that case we can verify if the problem exists on the actual hewiki.

or rather, the problem does not exist on he, it only exists on en.

Niharika added a comment.EditedWed, Nov 20, 12:27 AM

or rather, the problem does not exist on he, it only exists on en.

Ah! Makes sense. So users who -

  • Switch their language to he
  • Visit Special:CentralAuth on enwiki
  • See a partial block log record

will see this issue.

Since it's such a narrow use case, I think it's safe to close it. Any objections?